Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

firefox for mobile does not work on sony ericson experia mini (android). Prompt saying does not have minimum requirement appears.

more options

Installed successfully after unchecking install applications other then android market. Firefox was installed (Other applications prompted as successfully installed). When opened to browse, prompt saying your mobile does not have minimum requirements to run the application. Repeats when the icon is selected.

All Replies (1)

more options

Sorry, Firefox 4 beta is not compatible with this phone. See https://wiki.mozilla.org/Mobile/Platforms/Android for system requirements, and an experimental (unoptimized) version that you can try on the Xperia mini.